<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>New Customer</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
 
<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
date_default_timezone_set("Asia/Calcutta");
require 'dbConn.inc.php';

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

$time1 = Time();
$date1 = date("H:i:s",$time1);
$date2 = date("Y/m/d",$time1);

$_SESSION['TranTime'] = $date1;
$_SESSION['TranDate'] = $date2;

cus_session_reset();

$cusnamErr = $custelErr = "";
$cus_nam = $cus_tel = "";
$err_cnt = 0;

if ($_SERVER["REQUEST_METHOD"] == "POST") {

   $err_cnt = 0;

   if (empty($_POST["cus_nam"])) {
     $cusnamErr = "Customer Name Required!"; $err_cnt++;
   } else {
     $cus_nam = test_input($_POST["cus_nam"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[a-zA-Z0-9. ]*$/",$cus_nam)) {
       $cusnamErr = "Only Letters & Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['CUSNam'] = $cus_nam; }
   }

   if (empty($_POST["cus_tel"])) {
     $custelErr = "Customer Telephone Required!"; $err_cnt++;
   } else {
     $cus_tel = test_input($_POST["cus_tel"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9. ]*$/",$cus_tel)) {
       $custelErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['CUSTel'] = $cus_tel; }
   }

   if($err_cnt==0){
      if(isset($_POST['complete'])){
         header('Location: frmAddNewCustomerSummary.php');
      }
   }

   if(isset($_POST['cancel'])){
      cus_session_reset();
      header('Location: frmTimer.php');
   }
}

function test_input($data) {
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function cus_session_reset(){
  $_SESSION['CUSNam'] = "";
  $_SESSION['CUSTel'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>Add New Customer</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Customer Name:</label>
       <input type="text" autocomplete="off" name="cus_nam" value="<?php echo $cus_nam;?>" class="form-control" style="text-transform:capitalize" id="cus_nam">
       <span class="error"><?php echo $cusnamErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Customer Telephone:</label>
       <input type="text" autocomplete="off" name="cus_tel" value="<?php echo $cus_tel;?>" class="form-control" id="cus_tel">
       <span class="error"><?php echo $custelErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="complete">Complete Addition</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Addition</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
