<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>New Commission Settlement</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
 
<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
require 'dbConn.inc.php';

session_start();

if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

due_payment_session_reset();

$payableamt = $_SESSION['COMPay'];

$cashamtErr = "";
$err_msg = "";

$cash_amt = "";

$payarr = array(False,False,False);

$err_cnt = 0;

if ($_SERVER["REQUEST_METHOD"] == "POST") {

  due_payment_session_reset();

  $err_cnt = 0;

  if (empty($_POST["cash_amt"])) {
    $cashamtErr = "* Cash Amount Required!"; $err_cnt++;
  } else {
    $cash_amt = test_input($_POST["cash_amt"]);
    // check if name only contains letters and whitespace
    if (!preg_match("/^[0-9.]*$/",$cash_amt)) {
      $cashamtErr = "* Only Numbers Allowed!"; $err_cnt++;
    }
    else{ $_SESSION['COMCashAmt'] = $cash_amt; }
  }

  /*
  if($cash_amt < $payableamt){
    $err_cnt++;
    $err_msg = "Payment Total Insufficient!";
  }
  */ //Not Required in Commission Module

  if($cash_amt > $payableamt){
    $err_cnt++;
    $err_msg = "Payment Total Exceeded!";
  }

  if($err_cnt==0){
    if (isset($_POST['complete'])) {
      header('Location: frmNewCommSettleSummary.php');
    }
  }

  if(isset($_POST['cancel'])){ //Redirect to Home Page
  due_session_reset();
  due_payment_session_reset();
  due_summary_session_reset();
  due_process_session_reset();
  header('Location: frmTimer.php');
  }
}

function test_input($data) {
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function due_session_reset(){
  $_SESSION['fulpaytab']="";
  $_SESSION['notpaytab']="";
}

function due_payment_session_reset(){
  $_SESSION['COMCashAmt'] = "";
}

function due_summary_session_reset(){
  $_SESSION['fullpaid'] = "";
  $_SESSION['partpaid'] = "";

  $_SESSION['fulpaytab'] = "";
  $_SESSION['parpaytab'] = "";
  $_SESSION['notpaytab'] = "";
  $_SESSION['outpaytab'] = "";
}

function due_process_session_reset(){
  $_SESSION['COMBene']="";
  $_SESSION['COMPay']="";
  $_SESSION['COMTot']="";
  $_SESSION['COMcment'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>New Commission Payment</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <?php
   if(isset($_SESSION['COMPay']) && !empty($_SESSION['COMPay'])) {
     $payableamt = $_SESSION['COMPay'];
   }
   ?>

   <div class = "row text-center">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <div class="alert alert-info">
       <strong>Payable Amount:</strong> <?php echo ($payableamt)?>
       <span class="error"><?php echo $err_msg;?></span>
       </div>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
     <label>Cash Amount:</label>
     <input type="tel" autocomplete="off" name="cash_amt" value="<?php echo $cash_amt;?>" class="form-control" id="cashamt">
     <span class="error"><?php echo $cashamtErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="complete">Complete Transaction</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Transaction</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
