<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>New Expense</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
 
<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
date_default_timezone_set("Asia/Calcutta");
require 'dbConn.inc.php';

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

$time1 = Time();
$date1 = date("H:i:s",$time1);
$date2 = date("Y/m/d",$time1);

$_SESSION['TranTime'] = $date1;
$_SESSION['TranDate'] = $date2;

exp_session_reset();

$exptypErr = $expamtErr = $expcomErr = "";
$exp_typ = $exp_amt = $exp_com = "";
$err_cnt = 0;

if ($_SERVER["REQUEST_METHOD"] == "POST") {

   $err_cnt = 0;

   $exp_typ = test_input($_POST["exp_typ"]);
   $_SESSION['EXPTyp'] = $exp_typ;

   if (empty($_POST["exp_com"])) {
     $expcomErr = "Expense Comment Required!"; $err_cnt++;
   } else {
     $exp_com = test_input($_POST["exp_com"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[a-zA-Z0-9 ]*$/",$exp_com)) {
       $expcomErr = "Only Letters & Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['EXPCom'] = $exp_com; }
   }

   if (empty($_POST["exp_amt"])) {
     $expamtErr = "Expense Amount Required!"; $err_cnt++;
   } else {
     $exp_amt = test_input($_POST["exp_amt"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9.]*$/",$exp_amt)) {
       $expamtErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['EXPAmt'] = $exp_amt; }
   }

   if($err_cnt==0){
      if(isset($_POST['complete'])){
         header('Location: frmNewExpenseSummary.php');
      }
   }
   if(isset($_POST['cancel'])){
     exp_session_reset();
     header('Location: frmTimer.php');
   }
}

function test_input($data) {
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function exp_session_reset(){
  $_SESSION['EXPTyp'] = "";
  $_SESSION['EXPAmt'] = "";
  $_SESSION['EXPCom'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>New Expense</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
     <label>Expense Type:</label>
     <select class="form-control" name="exp_typ">
        <option value="Food/Provisions" <?php if($exp_typ == 'Food/Provisions'){echo("selected");}?> >Food/Provisions</option>
        <option value="Transport/Hire" <?php if($exp_typ == 'Transport/Hire'){echo("selected");}?> >Transport/Hire</option>
        <option value="Bank Deposit" <?php if($exp_typ == 'Bank Deposit'){echo("selected");}?> >Bank Deposit</option>
        <option value="Donation/Charity" <?php if($exp_typ == 'Donation/Charity'){echo("selected");}?> >Donation/Charity</option>
        <option value="Salary Advance" <?php if($exp_typ == 'Salary Advance'){echo("selected");}?> >Salary Advance</option>
        <option value="Utility Telephone" <?php if($exp_typ == 'Utility Telephone'){echo("selected");}?> >Utility Telephone</option>
        <option value="Utility Water" <?php if($exp_typ == 'Utility Water'){echo("selected");}?> >Utility Water</option>
        <option value="Utility Electricity" <?php if($exp_typ == 'Utility Electricity'){echo("selected");}?> >Utility Electricity</option>
        <option value="Stationary" <?php if($exp_typ == 'Stationary'){echo("selected");}?> >Stationary</option>
        <option value="Miscellaneous" <?php if($exp_typ == 'Miscellaneous'){echo("selected");}?> >Miscellaneous</option>
     </select>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Expense Comment:</label>
       <input type="text" autocomplete="off" name="exp_com" value="<?php echo $exp_com;?>" class="form-control" style="text-transform:capitalize"
       id="expcom">
       <span class="error"><?php echo $expcomErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Expense Amount:</label>
       <input type="tel" autocomplete="off" name="exp_amt" value="<?php echo $exp_amt;?>" class="form-control" id="expamt">
       <span class="error"><?php echo $expamtErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="complete">Complete Expense</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Expense</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
