<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>New Return Transaction</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
 
<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
date_default_timezone_set("Asia/Calcutta");
require 'dbConn.inc.php';

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

$time1 = Time();
$date1 = date("H:i:s",$time1);
$date2 = date("Y/m/d",$time1);

$_SESSION['TranTime'] = $date1;
$_SESSION['TranDate'] = $date2;

rtn_session_reset();
rtn_payment_session_reset();

$rtnnoErr = $rtnamtErr = $rtnposErr = "";
$rtn_no = $rtn_amt = $rtn_pos = "";
$err_cnt = 0;

if ($_SERVER["REQUEST_METHOD"] == "POST") {

   $err_cnt = 0;

   if (empty($_POST["rtn_no"])) {
     $rtnnoErr = "RTN Number Required!"; $err_cnt++;
   } else {
     $rtn_no = test_input($_POST["rtn_no"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[a-zA-Z0-9]*$/",$rtn_no)) {
       $rtnnoErr = "Only Letters & Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['RTNNo'] = "POS".$rtn_no; }
   }

   if (empty($_POST["rtn_amt"])) {
     $rtnamtErr = "RTN Amount Required!"; $err_cnt++;
   } else {
     $rtn_amt = test_input($_POST["rtn_amt"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9.]*$/",$rtn_amt)) {
       $rtnamtErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['RTNAmt'] = $rtn_amt; }
   }

   if (empty($_POST["rtn_pos"])) {
     $rtnposErr = "Reference POS Number Required!"; $err_cnt++;
   } else {
     $rtn_pos = test_input($_POST["rtn_pos"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[a-zA-Z0-9]*$/",$rtn_pos)) {
       $rtnposErr = "Only Letters & Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['RTNPos'] = "POS".$rtn_no; }
   }


   if($err_cnt==0){
      if(isset($_POST['payment'])){
         header('Location: frmNewReturnPayment.php');
      }
   }

   if(isset($_POST['cancel'])){
      rtn_session_reset();
      rtn_payment_session_reset();
      header('Location: frmTimer.php');
   }
}

function test_input($data) {
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function rtn_session_reset(){
  $_SESSION['RTNNo'] = "";
  $_SESSION['RTNAmt'] = "";
  $_SESSION['RTNPos'] = "";
}

function rtn_payment_session_reset(){
  $_SESSION['CashAmt'] = "";
  $_SESSION['CreditCust'] = "";
  $_SESSION['CreditAmt'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>New Return Transaction</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Return POS Number:</label>
         <div class="input-group">
         <span class="input-group-addon">POS</span>
         <input type="tel" autocomplete="off" name="rtn_no" value="<?php echo $rtn_no;?>" class="form-control" style="text-transform:uppercase" id="rtnno">
         </div>
       <span class="error"><?php echo $rtnnoErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Return POS Amount:</label>
       <input type="tel" autocomplete="off" name="rtn_amt" value="<?php echo $rtn_amt;?>" class="form-control" id="rtnamt">
       <span class="error"><?php echo $rtnamtErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Reference POS Number:</label>
         <div class="input-group">
         <span class="input-group-addon">POS</span>
         <input type="tel" autocomplete="off" name="rtn_pos" value="<?php echo $rtn_pos;?>" class="form-control" style="text-transform:uppercase" id="rtnpos">
         </div>
       <span class="error"><?php echo $rtnposErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="payment">Add Payment Detail</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Transaction</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
