<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>Transaction Report</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
 
<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
require 'dbConn.inc.php';
date_default_timezone_set("Asia/Calcutta");

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

tran_session_reset();

pop_tab($conn,get_tran($conn));

if ($_SERVER["REQUEST_METHOD"] == "POST") {

  if(isset($_POST['closeout'])){
    header('Location: frmTransSetOpen.php');
  }
  if(isset($_POST['detail'])){
    header('Location: frmTransDetailReport.php');
  }
  if (isset($_POST['cancel'])) {
    tran_session_reset();
    header('Location: frmTimer.php');
  }
}

if (!function_exists('mysqli_result')) {
  function mysqli_result($res, $row, $field=0) {
    $res->data_seek($row);
    $datarow = $res->fetch_array();
    return $datarow[$field];
  }
}

function get_tran($conn){
  
  //check last checked transaction
  $lastchecsql =
  "SELECT MAX(tbl_checkdrawer.CloseTranID) AS LastChec
  FROM tbl_checkdrawer
  WHERE tbl_checkdrawer.CheckStore = '".$_SESSION['store']."'";
  
  $query = mysqli_query($conn,$lastchecsql);
  while ($result = mysqli_fetch_assoc($query)){
	$lchk = $result['LastChec'];
  }
  if (!$lchk){$lastchec = 0;}
  else {$lastchec = $lchk;}
  $_SESSION['lastchec'] = $lastchec;

  $timelinesql =
  "SELECT
  tbl_transaction.TranStore, tbl_transaction.TranColour,
  tbl_transaction.TranDate, tbl_transaction.TranTime,
  IFNULL(paycash.CashAmt,0) AS CashAmt, IFNULL(paycard.CardAmt,0) AS CardAmt,
  IFNULL(paycheque.ChequeAmt,0) AS ChequeAmt, IFNULL(paycredit.CreditAmt,0) AS CreditAmt
  FROM
  tbl_transaction
  LEFT JOIN paycash ON tbl_transaction.TranCash = paycash.CashID
  LEFT JOIN paycard ON tbl_transaction.TranCard = paycard.CardID
  LEFT JOIN paycheque ON tbl_transaction.TranCheque = paycheque.ChequeID
  LEFT JOIN paycredit ON tbl_transaction.TranCredit = paycredit.CreditID";

  if(isset($_SESSION['store']) && !empty($_SESSION['store'])) {
    $store = $_SESSION['store'];
    $timelinesql .= " WHERE tbl_transaction.TranStore = '".$store."' ";
    $timelinesql .= " AND tbl_transaction.TranID > '".$lastchec."'";
  }

  $timelineqry = $conn->query($timelinesql);
  if ($timelineqry->num_rows > 0) {
     $cnt = 0;
     while($row = $timelineqry->fetch_assoc()) {
       $invarr[$cnt][0] = $row["TranStore"];
       $invarr[$cnt][1] = $row["TranColour"];
       $invarr[$cnt][2] = $row["TranDate"];
       $invarr[$cnt][3] = $row["TranTime"];

       $invarr[$cnt][4] = $row["CashAmt"];
       $invarr[$cnt][5] = $row["CardAmt"];
       $invarr[$cnt][6] = $row["ChequeAmt"];
       $invarr[$cnt][7] = $row["CreditAmt"];
       $cnt++;
     }
  } else {
    $invarr = NULL;
    $msg = "No Outstanding Bills!";
    $_SESSION['msg'] = $msg;
  }
  return $invarr;
}

function pop_tab($conn,$invarr){

  //check last checked transaction
  $lastchecsql =
  "SELECT MAX(tbl_checkdrawer.CloseTranID) AS LastChec
  FROM tbl_checkdrawer
  WHERE tbl_checkdrawer.CheckStore = '".$_SESSION['store']."'";

  $query = mysqli_query($conn,$lastchecsql);
  while ($result = mysqli_fetch_assoc($query)){
	$lchk = $result['LastChec'];
  }
  if (!$lchk){$lastchec = 0;}
  else {$lastchec = $lchk;}
  $_SESSION['lastchec'] = $lastchec;

  //check last opening amount
  if($lastchec > 0){
    $opencashsql =
    "SELECT tbl_checkdrawer.OpenCashAmt AS OpenCash
    FROM tbl_checkdrawer
    WHERE tbl_checkdrawer.CloseTranID = '".$lastchec."' 
    ORDER BY tbl_checkdrawer.CheckID DESC";
	
    $query = mysqli_query($conn,$opencashsql);
    while ($result = mysqli_fetch_assoc($query)){
	  $opca = $result['OpenCash'];
    }
    if (!$opca){$opencash = 0;}
    else {
	  $opencash = $opca;
	  $query = mysqli_query($conn,"SELECT tbl_checkdrawer.CheckDate,tbl_checkdrawer.CheckTime FROM tbl_checkdrawer WHERE tbl_checkdrawer.CloseTranID = '".$lastchec."'");
	  while ($result = mysqli_fetch_assoc($query)){
		$chkdate = $result['CheckDate'];
		$chktime = $result['CheckTime'];
	  }	  
    }
  }
  else {$opencash = 0;}
  $_SESSION['opencash'] = $opencash;

  //check transaction count since last
  $trancountsql =
  "SELECT COUNT(tbl_transaction.TranID) AS TranCount
  FROM tbl_transaction
  WHERE
  tbl_transaction.TranID > '".$lastchec."' AND
  tbl_transaction.TranStore = '".$_SESSION['store']."'";
  
  $query = mysqli_query($conn,$trancountsql);
  while ($result = mysqli_fetch_assoc($query)){
	$tcnt = $result['TranCount'];
  }
  if (!$tcnt){$trancount = 0;}
  else {$trancount = $tcnt;}
  $_SESSION['trancount'] = $trancount;
  
  //check last transaction
  $lasttransql =
  "SELECT MAX(tbl_transaction.TranID) AS LastTran
  FROM tbl_transaction
  WHERE
  tbl_transaction.TranID > '".$lastchec."' AND
  tbl_transaction.TranStore = '".$_SESSION['store']."'";

  $query = mysqli_query($conn,$lasttransql);
  while ($result = mysqli_fetch_assoc($query)){
	$ltra = $result['LastTran'];
  }
  if (!$ltra){$lasttran = 0;}
  else {$lasttran = $ltra;}
  $_SESSION['lasttran'] = $lasttran;

  $x = 0;
  $y = sizeof($invarr);

  $cash = 0;
  $card = 0;
  $cheque = 0;
  $credit = 0;

  $crdcnt = 0;
  $chqcnt = 0;
  $crscnt = 0;
  $crrcnt = 0;

  $type = "";
  $timeline = "<div class=\"table-responsive table-bordered\"> <table class=\"table\">
                <thead> <tr> <th>Transaction</th> <th class=\"text-center\">Date</th> <th class=\"text-center\">Time</th> <th class=\"text-right\">Cash</th> <th class=\"text-right\">Card</th> <th class=\"text-right\">Cheque</th> <th class=\"text-right\">Credit</th> </tr> </thead>
                <tbody>";

  if($opencash!=0){
    $timeline.="<tr> <td>Open Amt</td><td class=\"text-center\">".$chkdate."</td> <td class=\"text-center\">".$chktime."</td> <td class=\"text-right\">".$opencash."</td> <td class=\"text-right\">0.00</td> <td class=\"text-right\">0.00</td> <td class=\"text-right\">0.00</td> </tr>";
  }

  while($x<$y){
    switch($invarr[$x][1]){
      case 1: $type="Credit Settle"; break;
      case 2: $type="Sale"; break;
      case 3: $type="Comm Sale"; break;
      case 4: $type="Return Sale"; break;
      case 5: $type="Comm Settle"; break;
      case 6: $type="Expense"; break;
      default: $type="Unknown";
    }

    if($invarr[$x][5] != 0){$crdcnt++;}
    if($invarr[$x][6] != 0){$chqcnt++;}
    if($invarr[$x][7] > 0){$crscnt++;} else if($invarr[$x][7] < 0){$crrcnt++;}

    $timeline .= "<tr>
    <td>".$type."</td>
    <td class=\"text-center\">".$invarr[$x][2]."</td>
    <td class=\"text-center\">".$invarr[$x][3]."</td>
    <td class=\"text-right\">".$invarr[$x][4]."</td>
    <td class=\"text-right\">".$invarr[$x][5]."</td>
    <td class=\"text-right\">".$invarr[$x][6]."</td>
    <td class=\"text-right\">".$invarr[$x][7]."</td>
    </tr>";

    $cash += $invarr[$x][4];
    $card += $invarr[$x][5];
    $cheque += $invarr[$x][6];
    $credit += $invarr[$x][7];

    $x++;
  }
  $timeline .= "</tbody> </table> </div>";

  $_SESSION['timeline'] = $timeline;

  //Bank Deposits
  $bankdepositsql =
  "SELECT SUM(paycash.CashAmt) AS BankDeposit
  FROM paycash,tbl_expense,tbl_transaction
  WHERE
  tbl_transaction.TranCash = paycash.CashID AND tbl_transaction.TranExpen = tbl_expense.ExpID AND
  tbl_expense.ExpType = 'Bank Deposit' AND
  paycash.CashAmt < 0 AND
  tbl_transaction.TranID > '".$lastchec."' AND
  tbl_transaction.TranStore = '".$_SESSION['store']."'";

  $query = mysqli_query($conn,$bankdepositsql);
  while ($result = mysqli_fetch_assoc($query)){
	$bdep = $result['BankDeposit'];
  }
  if (!$bdep){$bankdeposit = 0;}
  else {$bankdeposit = $bdep;}
  $_SESSION['bankdeposit'] = $bankdeposit;
  
  $_SESSION['cash'] = $cash + $opencash;
  $_SESSION['card'] = $card;
  $_SESSION['cheque'] = $cheque;
  $_SESSION['credit'] = $credit;

  $_SESSION['crdcnt'] = $crdcnt;
  $_SESSION['chqcnt'] = $chqcnt;
  $_SESSION['crscnt'] = $crscnt;
  $_SESSION['crrcnt'] = $crrcnt;
}

function test_input($data) { //Test Input Data for Unwanted Characters
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function tran_session_reset(){
  $_SESSION['lastchec'] = "";
  $_SESSION['opencash'] = "";
  $_SESSION['trancount'] = "";
  $_SESSION['lasttran'] = "";

  $_SESSION['cash'] = "";
  $_SESSION['cashsale'] = "";
  $_SESSION['cashsettle'] = "";
  $_SESSION['cashreturn'] = "";
  $_SESSION['cashcomm'] = "";
  $_SESSION['cashexp'] = "";
  $_SESSION['cashtotal'] = "";

  $_SESSION['card'] = "";
  $_SESSION['crdcnt'] = "";
  $_SESSION['cardsale'] = "";
  $_SESSION['cardsettle'] = "";

  $_SESSION['cheque'] = "";
  $_SESSION['chqcnt'] = "";
  $_SESSION['chequesale'] = "";
  $_SESSION['chequesettle'] = "";

  $_SESSION['credit'] = "";
  $_SESSION['creditsale'] = "";
  $_SESSION['crscnt'] = "";
  $_SESSION['creditreturn'] = "";
  $_SESSION['crrcnt'] = "";
}
?>

<div class="col-xs-12 text-center">
  <h1>Transaction Timeline Report</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <?php
     if(isset($_SESSION['timeline']) && !empty($_SESSION['timeline'])) {
       echo ('<h3>Timeline</h3>');
       $rtnsettab = $_SESSION['timeline'];
       echo $rtnsettab;
     }

     echo "<br><div class=\"alert alert-info text-center\">";
       echo '<strong>Transaction Totals  </strongs>';
         if(isset($_SESSION['cash']) && !empty($_SESSION['cash'])) {
           $cash = $_SESSION['cash'];
           echo '<strong>(Cash:</strong>'.$cash.")  ";
         }
         if(isset($_SESSION['card']) && !empty($_SESSION['card'])) {
           $card = $_SESSION['card'];
           $crdcnt = $_SESSION['crdcnt'];
           echo "<strong>(Card*".$crdcnt.":</strong>".$card.")  ";
         }
         if(isset($_SESSION['cheque']) && !empty($_SESSION['cheque'])) {
           $cheque = $_SESSION['cheque'];
           $chqcnt = $_SESSION['chqcnt'];
           echo "<strong>(Cheque*".$chqcnt.":</strong>".$cheque.")  ";
         }
         if(isset($_SESSION['credit']) && !empty($_SESSION['credit'])) {
           $credit = $_SESSION['credit'];
           echo '<strong>(Credit:</strong>'.$credit.") ";
         }

       echo '</div>'
     ?>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <?php
     if(isset($_SESSION['level']) && !empty($_SESSION['level'])){
       $level = $_SESSION['level'];
       if($level == '1'){
   	 echo "
   	   <br>
   	   <div class = \"row\">
           <div class = \"col-xs-1 col-md-3\"></div>
           <div class = \"col-xs-10 col-md-6\">
           <button class=\"btn btn-primary btn-block\" type=\"submit\" name=\"closeout\">Closeout Drawer</button>
           </div>
           <div class = \"col-xs-1 col-md-3\"></div>
           </div>
           <br>
           <div class = \"row\">
           <div class = \"col-xs-1 col-md-3\"></div>
           <div class = \"col-xs-10 col-md-6\">
           <button class=\"btn btn-primary btn-block\" type=\"submit\" name=\"detail\">View Detailed</button>
           </div>
           <div class = \"col-xs-1 col-md-3\"></div>
           </div>
   	 ";
       }
     }
   ?>

   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Main Menu</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
