<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>New Commission Settlement</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
require 'dbConn.inc.php';
date_default_timezone_set("Asia/Calcutta");

session_start();

if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

due_session_reset();
due_payment_session_reset();
due_summary_session_reset();

$time1 = Time();
$date1 = date("H:i:s",$time1);
$date2 = date("Y/m/d",$time1);

$_SESSION['TranTime'] = $date1;
$_SESSION['TranDate'] = $date2;

$query_run = mysqli_query($conn,"SELECT BeneID,BeneName FROM beneficiary");

if ($_SERVER["REQUEST_METHOD"] == "POST") {

  if(isset($_POST['profile'])){ //Redirect to Commission Data Entry
     poptab(get_cust($conn,$_POST['comm_bene']));
  }

  if(isset($_POST['payment'])){ //Redirect to Payment Data Entry (No Commission)
  header('Location: frmNewCommSettlePayment.php');
  }

  if(isset($_POST['cancel'])){ //Redirect to Home Page
  due_session_reset();
  due_payment_session_reset();
  due_summary_session_reset();
  due_process_session_reset();
  header('Location: frmTimer.php');
  }
}

function get_cust($conn,$beneid){
  $commbenesql =
  "SELECT tbl_transaction.TranDate,tbl_transaction.TranTime,possale.POSNum,poscommission.CommBillID,poscommission.CommAmt,poscommission.CommPayable,poscommission.CommID,poscommission.CommDated
   FROM
   tbl_transaction,possale,poscommission
   WHERE
   poscommission.CommPayee = '".$beneid."' AND tbl_transaction.TranSale = possale.POSID AND tbl_transaction.TranComm = poscommission.CommID AND poscommission.CommSet = '0'";

  $_SESSION['COMBene']=$beneid;

  $commbeneqry = $conn->query($commbenesql);
  if ($commbeneqry->num_rows > 0) {
     $cnt = 0;
     while($row = $commbeneqry->fetch_assoc()) {
       $invarr[$cnt][0] = $row["TranDate"];
       $invarr[$cnt][1] = $row["TranTime"];
       $invarr[$cnt][2] = $row["POSNum"];
       $invarr[$cnt][3] = $row["CommBillID"];
       $invarr[$cnt][4] = $row["CommAmt"];
       $invarr[$cnt][5] = $row["CommPayable"];
       $invarr[$cnt][6] = $row["CommID"];
       $invarr[$cnt][7] = $row["CommDated"];
       $cnt++;
     }
  } else {
    $invarr = NULL;
    $table = "No Outstanding Commissions!";
    $_SESSION['table'] = $table;
  }
  $conn->close();
  return $invarr;
}

function poptab($invarr){
	$x = 0;
	$y = sizeof($invarr);

        $f = 0;
        $n = 0;
        $fulpaytab = "";
        $notpaytab = "";

        $paydue = 0;
        $totdue = 0;

	$fulpaytab = $notpaytab = "
	<div class=\"table-responsive table-bordered\"> <table class=\"table\"  align=\"center\">
        <thead> <tr> <th>Sale Date</th> <th>Sale Time</th> <th>POS Number</th> <th>COM Number</th> <th>COM Amount</th> <th>COM Payable</th> <th>Dated</th> </tr> </thead>
        <tbody>";

	while($x<$y){

          if(date('Y-m-d', strtotime($invarr[$x][7])) <= date('Y-m-d', strtotime($_SESSION['TranDate'])) AND date('Y-m-d', strtotime($invarr[$x][7])) != date('Y-m-d', strtotime('0000-00-00'))){
            //check use of (-) or (/)
            $fulpaytab .= "<tr>
            <td>".$invarr[$x][0]."</td>
	    <td>".$invarr[$x][1]."</td>
	    <td>".$invarr[$x][2]."</td>
	    <td>".$invarr[$x][3]."</td>
	    <td>".$invarr[$x][4]."</td>
	    <td>".$invarr[$x][5]."</td>
            <td>".$invarr[$x][7]."</td>";
	    $paydue += $invarr[$x][5];
	    $f++;
          }
          else {
            $notpaytab .= "<tr>
            <td>".$invarr[$x][0]."</td>
	    <td>".$invarr[$x][1]."</td>
	    <td>".$invarr[$x][2]."</td>
	    <td>".$invarr[$x][3]."</td>
	    <td>".$invarr[$x][4]."</td>
	    <td>".$invarr[$x][5]."</td>
            <td>".$invarr[$x][7]."</td>";
	    $n++;
          }
          $fulpaytab .= "</tr>";
	  $notpaytab .= "</tr>";

          $totdue += $invarr[$x][5];
          $x++;
	}
	$fulpaytab .= "</tbody> </table> </div>";
	$notpaytab .= "</tbody> </table> </div>";

        //$notpaytab .= "Total Payable : ".$due;

        if($f!=0){
          $_SESSION['fulpaytab'] = $fulpaytab;
        }
        if($n!=0){
          $_SESSION['notpaytab'] = $notpaytab;
        }

	$_SESSION['COMPay'] = $paydue;
	$_SESSION['COMTot'] = $totdue;
}

function test_input($data) { //Test Input Data for Unwanted Characters
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function due_session_reset(){
  $_SESSION['fulpaytab']="";
  $_SESSION['notpaytab']="";
}

function due_payment_session_reset(){
  $_SESSION['COMCashAmt'] = "";
}

function due_summary_session_reset(){
  $_SESSION['fullpaid'] = "";
  $_SESSION['partpaid'] = "";

  $_SESSION['fulpaytab'] = "";
  $_SESSION['parpaytab'] = "";
  $_SESSION['notpaytab'] = "";
  $_SESSION['outpaytab'] = "";
}

function due_process_session_reset(){
  $_SESSION['COMBene']="";
  $_SESSION['COMPay']="";
  $_SESSION['COMTot']="";
  $_SESSION['COMcment'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>New Commission Settlement</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
     <label>Beneficiary Name:</label>
     <select class="form-control" name="comm_bene">
       <?php
          if(isset($_SESSION['COMBene']) && !empty($_SESSION['COMBene'])){
             $bene_id = $_SESSION['COMBene'];
          }
          echo "<option value=0>Select Beneficiary</option>";
          while ($bene_row = mysqli_fetch_assoc($query_run)){
             $bid = $bene_row['BeneID'];
             $bna = $bene_row['BeneName'];
             if($bene_id == $bid){
               echo "<option value=\"".$bid."\" selected>".$bna."</option>";
             }
             else {
               echo "<option value=\"".$bid."\">".$bna."</option>";
             }
          }
       ?>
     </select>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="profile">View Profile</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">

     <?php
     if(isset($_SESSION['fulpaytab']) && !empty($_SESSION['fulpaytab'])) {
       echo ('<h3>Settled Payable Invoices</h3>');
       $fulpaytab = $_SESSION['fulpaytab'];
       echo $fulpaytab;
     }
     if(isset($_SESSION['notpaytab']) && !empty($_SESSION['notpaytab'])) {
       echo ('<h3>Unsettled or Dated Invoices</h3>');
       $notpaytab = $_SESSION['notpaytab'];
       echo $notpaytab;
     }

     echo "<div class=\"alert alert-info text-center\">";
     if((isset($_SESSION['notpaytab']) && !empty($_SESSION['notpaytab'])) OR (isset($_SESSION['fulpaytab']) && !empty($_SESSION['fulpaytab']))){
       if(isset($_SESSION['COMPay']) && !empty($_SESSION['COMPay'])) {
         $paydue = $_SESSION['COMPay'];
         echo '<strong>Payable Due : </strong>'.$paydue."  ";
       }
       if(isset($_SESSION['COMTot']) && !empty($_SESSION['COMTot'])) {
         $notpaytab = $_SESSION['COMTot'];
         echo '<strong>Total Due : </strong>'.$notpaytab."  ";
       }
     }
     else{
       echo '<strong>No Payable Commission Available!</strong>';
     }
     echo '</div>'
     ?>

     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="payment">Add Payment Detail</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Transaction</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
