<?php
ob_start();
?>
<!DOCTYPE HTML>
<html lang="en">
<head>

<title>New Sale Transaction</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<style>
.error {color: #FF0000;}
.nopadding {
   padding: 0 !important;
   border: none;
}
.input-group-addon {
   padding: 0 !important;
   margin: 0 !important;
   min-width:108px;// if you want width please write here //
   text-align:left;
}
</style>

</head>
<body>

<?php
// define variables and set to empty values
date_default_timezone_set("Asia/Calcutta");
require 'dbConn.inc.php';

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

$time1 = Time();
$date1 = date("H:i:s",$time1);
$date2 = date("Y/m/d",$time1);

$_SESSION['TranTime'] = $date1;
$_SESSION['TranDate'] = $date2;

pos_session_reset();
commission_session_reset();
payment_session_reset();

$posnoErr = $posamtErr = $pospayErr = "";
$pos_no = $pos_amt = $pos_pay = "";
$err_cnt = 0;

if ($_SERVER["REQUEST_METHOD"] == "POST") {

   $err_cnt = 0;

   if (empty($_POST["pos_no"])) { //POS Number Validation
     $posnoErr = "POS Number Required!"; $err_cnt++;
   } else {
     $pos_no = test_input($_POST["pos_no"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9]*$/",$pos_no)) {
       $posnoErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{
       if(isset($_POST['bill'])){
         $bill = $_POST["bill"];
         if($bill == 'bpos'){ $_SESSION['POSNo'] = "S".$_SESSION['store']."BPOS".$pos_no; }
         else { $_SESSION['POSNo'] = "S".$_SESSION['store']."USBK".$pos_no; }
       }
       else { $_SESSION['POSNo'] = "S".$_SESSION['store']."BPOS".$pos_no; }
     }
        //Save Valid POS Number to Session
   }

   if (empty($_POST["pos_amt"])) { //POS Amount Validation
     $posamtErr = "POS Amount Required!"; $err_cnt++;
   } else {
     $pos_amt = test_input($_POST["pos_amt"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9.]*$/",$pos_amt)) {
       $posamtErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['POSAmt'] = $pos_amt; } //Save Valid POS Amount to Session
   }

   if (empty($_POST["pos_pay"])) { //Payable POS Amount Validation
     $pospayErr = "Payable Amount Required!"; $err_cnt++;
   } else {
     $pos_pay = test_input($_POST["pos_pay"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9.]*$/",$pos_pay)) {
       $pospayErr = " Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['POSPay'] = $pos_pay; } //Save Valid Payable POS Amount to Session
   }


   if($err_cnt==0){
	   /*
	   $conn = mysqli_connect($servername, $username, $password, $dbname);
		// Check connection
		if (!$conn) {
			die("Connection Error!"); //.mysqli_connect_error());
		}
		$sql = "INSERT INTO tbl_customer (cust_name, cust_tele, cust_addr, cust_mail, cust_desc, cust_acti)
		VALUES ('$cust_name', '$cust_tele', '$cust_addr', '$cust_mail', '$cust_desc', '1')";

		if (mysqli_query($conn, $sql)) {
			echo "New record created successfully";
		} else {
			echo "Error: " . $sql . "<br>" . mysqli_error($conn);
		}

		mysqli_close($conn);
      		*/
      if(isset($_POST['commission'])){ //Redirect to Commission Data Entry
         header('Location: frmNewSaleCommission.php');
      }
      if(isset($_POST['payment'])){ //Redirect to Payment Data Entry (No Commission)
         header('Location: frmNewSalePayment.php');
      }
   }
   if(isset($_POST['cancel'])){
      pos_session_reset();
      commission_session_reset();
      payment_session_reset();
      header('Location: frmTimer.php');
   }
}

function test_input($data) { //Test Input Data for Unwanted Characters
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function pos_session_reset(){
  $_SESSION['POSNo'] = "";
  $_SESSION['POSAmt'] = "";
  $_SESSION['POSPay'] = "";
}

function payment_session_reset(){
  $_SESSION['CashAmt'] = "";

  $_SESSION['CardType'] = "";
  $_SESSION['CardInv'] = "";
  $_SESSION['CardAmt'] = "";

  $_SESSION['ChequeBank'] = "";
  $_SESSION['ChequeNum'] = "";
  $_SESSION['ChequeDate'] = "";
  $_SESSION['ChequeAmt'] = "";

  $_SESSION['CreditCust'] = "";
  $_SESSION['CreditAmt'] = "";
}

function commission_session_reset(){
  $_SESSION['ComBilNum'] = "";
  $_SESSION['ComBilAmt'] = "";
  $_SESSION['ComPayee'] = "";
  $_SESSION['ComPayTel'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>New Sale Transaction</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>POS Number:</label>
         <div class="input-group">
         <span class="input-group-addon nopadding">
            <div class="btn-group nopadding" data-toggle="buttons">
               <label class="btn btn-default active">
                  <input type="radio" name="bill" value="bpos" /> POS
               </label>
               <label class="btn btn-default">
                  <input type="radio" name="bill" value="usbk" /> SBK
               </label>
            </div>
         </span>
         <input type="tel" autocomplete="off" name="pos_no" value="<?php echo $pos_no;?>" class="form-control" style="text-transform:uppercase" id="posno">
         </div>
       <span class="error"><?php echo $posnoErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>POS Amount:</label>
       <input type="tel" autocomplete="off" name="pos_amt" value="<?php echo $pos_amt;?>" class="form-control" id="posamt">
       <span class="error"><?php echo $posamtErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>Payable Amount:</label>
       <input type="tel" autocomplete="off" name="pos_pay" value="<?php echo $pos_pay;?>" class="form-control" id="pospay">
       <span class="error"><?php echo $pospayErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="payment">Add Payment Detail</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="commission">Add New Commission</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Transaction</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
