<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>New Sale Transaction</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<style>
.error {color: #FF0000;}
</style>
</head>
<body>

<?php
// define variables and set to empty values
require 'dbConn.inc.php';

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

commission_session_reset();
payment_session_reset();

$combilnumErr = $combilamtErr = $compayeeErr = $compaytelErr = "";
$com_bilnum = $com_bilamt = $com_payee = $com_paytel = "";
$err_cnt = 0;

$query_run = mysqli_query($conn,"SELECT BeneID,BeneName FROM beneficiary");

if ($_SERVER["REQUEST_METHOD"] == "POST") {

   $err_cnt = 0;

   if (empty($_POST["com_bilnum"])) { //Commission Bill Number Validation
     $combilnumErr = "Commission Bill Number Required!"; $err_cnt++;
   } else {
     $com_bilnum = test_input($_POST["com_bilnum"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[a-zA-Z0-9]*$/",$com_bilnum)) {
       $combilnumErr = "Only Letters & Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['ComBilNum'] = $com_bilnum; } //Save Valid Commission Bill Number to Session
   }

   if (empty($_POST["com_bilamt"])) { //Commission Bill Amount Validation
     $combilamtErr = "Commission Bill Amount Required!"; $err_cnt++;
   } else {
     $com_bilamt = test_input($_POST["com_bilamt"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9.]*$/",$com_bilamt)) {
       $combilamtErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['ComBilAmt'] = $com_bilamt; } //Save Valid Commission Bill Amount to Session
   }

   if (empty($_POST["com_payee"])) { //Commission Payee Validation
     $compayeeErr = "Commission Payee Name Required!"; $err_cnt++;
   } else {
     $com_payee = test_input($_POST["com_payee"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[a-zA-Z0-9 ]*$/",$com_payee)) {
       $compayeeErr = "Only Letters & Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['ComPayee'] = $com_payee; } //Save Valid Commission Payee to Session
   }

   if($err_cnt==0){
	   /*
	   $conn = mysqli_connect($servername, $username, $password, $dbname);
		// Check connection
		if (!$conn) {
			die("Connection Error!"); //.mysqli_connect_error());
		}
		$sql = "INSERT INTO tbl_customer (cust_name, cust_tele, cust_addr, cust_mail, cust_desc, cust_acti)
		VALUES ('$cust_name', '$cust_tele', '$cust_addr', '$cust_mail', '$cust_desc', '1')";

		if (mysqli_query($conn, $sql)) {
			echo "New record created successfully";
		} else {
			echo "Error: " . $sql . "<br>" . mysqli_error($conn);
		}

		mysqli_close($conn);
		*/
      if(isset($_POST['payment'])){
         header('Location: frmNewSalePayment.php');
      }
   }
   if(isset($_POST['cancel'])){
      pos_session_reset();
      commission_session_reset();
      payment_session_reset();
      header('Location: frmTimer.php');
   }
}

function test_input($data) {
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function pos_session_reset(){
  $_SESSION['POSNo'] = "";
  $_SESSION['POSAmt'] = "";
  $_SESSION['POSPay'] = "";
}

function payment_session_reset(){
  $_SESSION['CashAmt'] = "";

  $_SESSION['CardType'] = "";
  $_SESSION['CardInv'] = "";
  $_SESSION['CardAmt'] = "";

  $_SESSION['ChequeBank'] = "";
  $_SESSION['ChequeNum'] = "";
  $_SESSION['ChequeDate'] = "";
  $_SESSION['ChequeAmt'] = "";
  
  $_SESSION['CreditCust'] = "";
  $_SESSION['CreditAmt'] = "";
}

function commission_session_reset(){
  $_SESSION['ComBilNum'] = "";
  $_SESSION['ComBilAmt'] = "";
  $_SESSION['ComPayee'] = "";
  $_SESSION['ComPayTel'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>New Sale Commission</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
       <label>Commission Bill Number:</label>
       <input type="text" autocomplete="off" name="com_bilnum" value="<?php echo $com_bilnum;?>" class="form-control" 
       style="text-transform:uppercase" id="posamt">
       <span class="error"><?php echo $combilnumErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
       <label>Commission Bill Amount:</label>
       <input type="tel" name="com_bilamt" value="<?php echo $com_bilamt;?>" class="form-control" id="posamt">
       <span class="error"><?php echo $combilamtErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
       <label>Commission Payee:</label>
       <select class="form-control" name="com_payee">
       <?php
         while ($bene_row = mysqli_fetch_assoc($query_run)){
           $bid = $bene_row['BeneID'];
           $bna = $bene_row['BeneName'];
           echo "<option value=\"".$bid."\">".$bna."</option>";
         }
       ?>
       </select>
       <span class="error"> <?php echo $compayeeErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="payment">Add Payment Detail</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Transaction</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
