<?php
ob_start();
?>
<!DOCTYPE HTML>
<html>
<head>

<title>Closeout Report</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<style>
.error {color: #FF0000;}
</style>

</head>
<body>

<?php
// define variables and set to empty values
date_default_timezone_set("Asia/Calcutta");
require 'dbConn.inc.php';

session_start();
if((!isset($_SESSION['store']) && empty($_SESSION['store']))AND(!isset($_SESSION['level']) && empty($_SESSION['level']))){
  header('Location: index.php');
}

$time1 = Time();
$date1 = date("H:i:s",$time1);
$date2 = date("Y/m/d",$time1);

$_SESSION['TranTime'] = $date1;
$_SESSION['TranDate'] = $date2;

exp_session_reset();
$open_amt = "";
$openamtErr = "";
$err_cnt = 0;

if ($_SERVER["REQUEST_METHOD"] == "POST") {

   $err_cnt = 0;

   if (empty($_POST["open_amt"])) {
     $openamtErr = "New Opening Amount Required!"; $err_cnt++;
   } else {
     $open_amt = test_input($_POST["open_amt"]);
     // check if name only contains letters and whitespace
     if (!preg_match("/^[0-9.]*$/",$open_amt)) {
       $openamtErr = "Only Numbers Allowed!"; $err_cnt++;
     }
     else{ $_SESSION['OpenAmt'] = $open_amt; }
   }

   if($err_cnt==0){
      if(isset($_POST['complete'])){
         header('Location: frmTransSummary.php');
      }
   }
   if(isset($_POST['cancel'])){
     exp_session_reset();
     header('Location: frmTimer.php');
   }
}

function test_input($data) {
   $data = trim($data);
   $data = stripslashes($data);
   $data = htmlspecialchars($data);
   return $data;
}

function exp_session_reset(){
  $_SESSION['EXPTyp'] = "";
  $_SESSION['EXPAmt'] = "";
  $_SESSION['EXPCom'] = "";
}

?>

<div class="col-xs-12 text-center">
  <h1>Closeout Report</h1>
  <br>
</div>

<!--
<p><span class="error">* Field Required for Completion! .</span></p>
-->
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
       <?php
       echo "
       <div class=\"table-responsive \"> <table class=\"table table-condensed\">
       <thead padding:0px> <tr> <th colspan=\"2\"> <h3>Transactions</h3> </th> </tr> </thead>
       <tbody>";
       if(isset($_SESSION['lastchec']) && !empty($_SESSION['lastchec'])) {
         $lastchec = $_SESSION['lastchec'];
         echo "<tr> <td>Last Checked ID</td> <td class=\"text-right\">".$lastchec."</td> </tr>";
       }
       if(isset($_SESSION['trancount']) && !empty($_SESSION['trancount'])) {
         $trancount = $_SESSION['trancount'];
         echo "<tr> <td>Count</td> <td class=\"text-right\">".$trancount."</td> </tr>";
       }
       if(isset($_SESSION['lasttran']) && !empty($_SESSION['lasttran'])) {
         $lasttran = $_SESSION['lasttran'];
         echo "<tr> <td>Current ID<td class=\"text-right\">".$lasttran."</td> </tr>";
       }
       echo "</tbody></table></div>";
       ?>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
       <?php
       echo "
       <div class=\"table-responsive\"> <table class=\"table table-condensed\">
       <thead padding:0px> <tr> <th colspan=\"2\"> <h3>Check Drawer</h3> </th> </tr> </thead>
       <tbody>";
       if(isset($_SESSION['cash']) && !empty($_SESSION['cash'])) {
         $cash = $_SESSION['cash'];
         echo "<tr> <td>Cash in Drawer</td> <td class=\"text-right\">".$cash."</td> </tr>";
       }
       if(isset($_SESSION['card']) && !empty($_SESSION['card'])) {
         $card = $_SESSION['card'];
         $crdcnt = $_SESSION['crdcnt'];
         echo "<tr> <td>Card Settlement</td> <td class=\"text-right\">(".$crdcnt.") ".$card."</td> </tr>";
       }
       if(isset($_SESSION['cheque']) && !empty($_SESSION['cheque'])) {
         $cheque = $_SESSION['cheque'];
         $chqcnt = $_SESSION['chqcnt'];
         echo "<tr> <td>Cheques to Collect<td class=\"text-right\">(".$chqcnt.") ".$cheque."</td> </tr>";
       }
       if(isset($_SESSION['credit']) && !empty($_SESSION['credit'])) {
         $credit = $_SESSION['credit'];
         echo "<tr> <td>Credit Sales</td> <td class=\"text-right\">".$credit."</td> </tr>";
       }
       if(isset($_SESSION['bankdeposit']) && !empty($_SESSION['bankdeposit'])) {
         $bankdeposit = $_SESSION['bankdeposit'];
         echo "<tr> <td>Bank Deposits</td> <td class=\"text-right\">".$bankdeposit."</td> </tr>";
       }
       echo "</tbody></table></div>";
       ?>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "form-group col-xs-10 col-md-6">
       <label>New Opening Amount:</label>
       <input type="tel" autocomplete="off" name="open_amt" value="<?php echo $open_amt;?>" class="form-control" id="openamt">
       <span class="error"><?php echo $openamtErr;?></span>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>

   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="complete">Complete Closeout</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br>
   <div class = "row">
     <div class = "col-xs-1 col-md-3"></div>
     <div class = "col-xs-10 col-md-6">
     <button class="btn btn-primary btn-block" type="submit" name="cancel">Cancel Closeout</button>
     </div>
     <div class = "col-xs-1 col-md-3"></div>
   </div>
   <br><br>
</form>

</body>
</html>
